import { ContextValues } from 'cdeops/client';
import { ClientThreadContextShape, Connection } from '@adminide-stack/extension-api';
/** @internal */
export declare class ClientContext implements ClientThreadContextShape {
    private udpateContext;
    private subscription;
    /**
     * Context keys set by this server. To ensure that context values are cleaned up, all context properties that
     * the server set are cleared upon deinitialization. This errs on the side of clearing too much (if another
     * server set same context keys after this server, then those keys would also be cleared when this server's
     * client deinstializes).
     */
    private keys;
    constructor(connection: Connection, udpateContext: (udpates: ContextValues) => void);
    $acceptContextUpdates(updates: ContextValues): void;
    unsubscribe(): void;
}
//# sourceMappingURL=client-context.d.ts.map